EQTY LabDocs

List graphs

Lists the graphs in every project where the caller holds view_project_data, or, when the service runs without authentication, every graph except agent graphs and agent assessment graphs.

gethttps://<host>/graph/v1
bash
curl --request GET \
  --url 'https://<host>/graph/v1' \
  --header 'Authorization: Bearer <token>'
javascript
const response = await fetch("https://<host>/graph/v1", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <token>"
  }
});

const data = await response.json();
typescript
interface Graph {
  created_at: string;
  id: string;
  name: string;
  parent?: string | null;
  statements?: unknown[] | null;
  updated_at: string;
}

const response = await fetch("https://<host>/graph/v1", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <token>"
  }
});
if (!response.ok) throw new Error(`${response.status} ${response.statusText}`);

const data: Graph[] = await response.json();
python
import requests

response = requests.get(
    "https://<host>/graph/v1",
    headers={
        "Authorization": "Bearer <token>",
    },
)
response.raise_for_status()
print(response.json())
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest(http.MethodGet, "https://<host>/graph/v1", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer <token>")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, err := io.ReadAll(res.Body)
	if err != nil {
		panic(err)
	}
	fmt.Println(res.Status, string(data))
}
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Example {
    public static void main(String[] args) throws Exception {
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://<host>/graph/v1"))
            .header("Authorization", "Bearer <token>")
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient()
            .send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.statusCode() + " " + response.body());
    }
}
csharp
using System.Net.Http.Headers;

using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Get, "https://<host>/graph/v1");
request.Headers.Authorization = new AuthenticationHeaderValue("Bearer", "<token>");

using var response = await client.SendAsync(request);
Console.WriteLine($"{(int)response.StatusCode} {await response.Content.ReadAsStringAsync()}");
php
<?php

$ch = curl_init('https://<host>/graph/v1');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer <token>',
    ],
    CURLOPT_RETURNTRANSFER => true,
]);

$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
echo $status . " " . $response . PHP_EOL;
ruby
require "net/http"

uri = URI("https://<host>/graph/v1")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <token>"

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
puts "#{response.code} #{response.body}"
rust
// Cargo.toml dependencies: reqwest, tokio (features "full")

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let response = reqwest::Client::new()
        .get("https://<host>/graph/v1")
        .header("Authorization", "Bearer <token>")
        .send()
        .await?;

    println!("{} {}", response.status(), response.text().await?);
    Ok(())
}

Authorizations

  • BearerAuth · HTTP bearer (JWT)

Responses

200Graphs in every project where the caller holds view_project_data (without authentication, every graph except agent and agent assessment graphs)

application/json

Array of Graph

  • created_atstring<date-time>required
  • idstring<uuid>required
  • namestringrequired
  • parentstring<uuid> | null
  • statementsStatement[] | null
    Show properties

    Array of Statement

    One of the following:

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • associationstring[]required

      The associated entities (CID or DID)

    • registeredBystringrequired

      DID of the entity that registered this statement

    • subjectstringrequired

      The subject of the association (CID or DID)

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • typeAssociationTyperequired

      One ofcertifiesincludesisInstanceOf

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • datastringrequired

      CID of the data being stored

    • operatedBystringrequired

      DID of the entity operating the storage system

    • registeredBystringrequired

      DID of the entity that registered this statement

    • storedOnstringrequired

      CID of the storage system description

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • metadatastringrequired

      CID of the metadata JSON document

    • registeredBystringrequired

      DID of the entity that registered this statement

    • subjectstringrequired

      The subject the metadata describes (CID or DID)

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • computationstring | null

      Optional CID of the computation definition or code

    • executedOnstring | null

      Optional identifier of the system where computation was executed

    • inputstringrequired

      Input data CIDs (single value or array)

    • operatedBystringrequired

      DID of the entity that operated the computation

    • outputstringrequired

      Output data CIDs (single value or array)

    • registeredBystringrequired

      DID of the entity that registered this statement

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • credentialanyrequired

      The W3C Verifiable Credential

    • registeredBystringrequired

      DID of the entity that registered this statement

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • credentialDsseEnveloperequired

      Serializable DSSE envelope for lineage data. Contains a payload and one or more signatures for secure transmission and storage of lineage statements.

      Show Envelope
      • payloadstringrequired

        The base64-encoded payload data

      • payloadTypestringrequired

        The type/format of the payload

      • signaturesSignature[]required

        One or more digital signatures

        Show properties

        Array of Signature

        • keyidstringrequired

          Key identifier used to create the signature

        • sigstringrequired

          The base64-encoded signature bytes

    • registeredBystringrequired

      DID of the entity that registered this statement

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • registeredBystringrequired

      DID of the entity that registered this statement

    • sigstoreBundlestringrequired

      Base64-encoded Sigstore bundle

    • subjectstringrequired

      The subject that the bundle is about

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    One of the following:

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • didstringrequired

      The DID being registered

    • registeredBystringrequired

      DID of the entity that registered this statement

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • datastringrequired

      Data artifact CID(s) being registered

    • registeredBystringrequired

      DID of the entity that registered this statement

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • entitystringrequired

      Entity UUID(s) being registered

    • registeredBystringrequired

      DID of the entity that registered this statement

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

    • @contextstringrequired

      JSON-LD context URL

    • @idstringrequired

      Unique identifier for this statement

    • @typestringrequired

      Statement type identifier

    • documentstringrequired

      CID of the governance document

    • registeredBystringrequired

      DID of the entity that registered this statement

    • subjectstringrequired

      The subject to which governance applies

    • timestampstringrequired

      ISO 8601 timestamp of when the statement was created

  • updated_atstring<date-time>required
Examplejson
[
  {
    "created_at": "2026-05-26T12:00:00Z",
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "parent": "00000000-0000-0000-0000-000000000000",
    "statements": [
      {
        "@context": "string",
        "@id": "string",
        "@type": "string",
        "association": [
          "string"
        ],
        "registeredBy": "string",
        "subject": "string",
        "timestamp": "string",
        "type": "certifies"
      }
    ],
    "updated_at": "2026-05-26T12:00:00Z"
  }
]

401Missing or invalid bearer token

application/json
  • callstackobject
    Show properties

    object | null

  • errorstringrequired
Examplejson
{
  "callstack": {},
  "error": "string"
}

500Internal error

application/json
  • callstackobject
    Show properties

    object | null

  • errorstringrequired
Examplejson
{
  "callstack": {},
  "error": "string"
}

503Auth Service unavailable

application/json
  • callstackobject
    Show properties

    object | null

  • errorstringrequired
Examplejson
{
  "callstack": {},
  "error": "string"
}